%define upstream_name    Data-UUID-LibUUID
%define upstream_version 0.05

Name:		perl-%{upstream_name}
Version:	%perl_convert_version %{upstream_version}
Release:	%mkrel 31

Summary:	Drop in L<Data::UUID> replacement
License:	GPL+ or Artistic
Group:		Development/Perl
Url:		https://metacpan.org/release/%{upstream_name}
Source0:	https://cpan.metacpan.org/modules/by-module/Data/%{upstream_name}-%{upstream_version}.tar.gz
Patch0:		fix-building-with-gcc12.patch
# https://rt.cpan.org/Ticket/Attachment/1689009/906932/0001-Fix-use-of-uninitialized-memory-in-new_uuid-when-ver.patch
Patch1:		0001-Fix-use-of-uninitialized-memory-in-new_uuid-when-ver.patch

BuildRequires:	perl(MIME::Base64)
BuildRequires:	perl(Sub::Exporter)
BuildRequires:	perl(Test::More)
BuildRequires:	perl(Test::use::ok)
BuildRequires:	perl(asa)
BuildRequires:	perl-devel
BuildRequires:	pkgconfig(uuid)


%description
This module provides bindings for libuuid shipped with e2fsprogs or
uuid-dev on Debian, and also works with the system _uuid.h_ on Darwin.

%prep
%autosetup -p1 -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor

%{make}

%check
%{make} test

%install
%make_install

%files
%doc Changes META.yml
%{_mandir}/man3/*
%perl_vendorarch/*


%changelog
* Wed Nov 29 2023 tv <tv> 0.50.0-31.mga10
+ Revision: 2011378
- Rebuild for perl-5.38

* Tue Jun 07 2022 umeabot <umeabot> 0.50.0-30.mga9
+ Revision: 1861772
- Rebuild for Perl 5.36
+ tv <tv>
- Fix use of uninitialized memory in new_uuid() when version==1 (CPAN#119149)

* Wed Mar 30 2022 tv <tv> 0.50.0-28.mga9
+ Revision: 1834922
- Fix building with gcc12
+ umeabot <umeabot>
- Mageia 9 Mass Rebuild

* Mon May 24 2021 umeabot <umeabot> 0.50.0-27.mga9
+ Revision: 1726539
- Rebuild for perl 5.34

* Wed Jun 17 2020 umeabot <umeabot> 0.50.0-26.mga8
+ Revision: 1594402
- Rebuild for perl 5.32

* Sun Feb 16 2020 umeabot <umeabot> 0.50.0-25.mga8
+ Revision: 1529441
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%makeinstall_std

* Tue Aug 27 2019 tmb <tmb> 0.50.0-24.mga8
+ Revision: 1433492
- rebuild for perl 5.30

* Fri Sep 21 2018 umeabot <umeabot> 0.50.0-23.mga7
+ Revision: 1292694
- Mageia 7 Mass Rebuild

* Wed Aug 08 2018 pterjan <pterjan> 0.50.0-22.mga7
+ Revision: 1249323
- Rebuild for perl 5.28
- Rebuild for perl 5.28

* Mon Oct 02 2017 tv <tv> 0.50.0-20.mga7
+ Revision: 1163858
- rebuild with fixed rpm for missing autodeps

* Thu Aug 31 2017 pterjan <pterjan> 0.50.0-19.mga7
+ Revision: 1149606
- Rebuild for perl ABI changes

* Sat Jul 22 2017 neoclust <neoclust> 0.50.0-18.mga7
+ Revision: 1126543
- Rebuild against new Perl 5.26

* Sat Jun 18 2016 pterjan <pterjan> 0.50.0-17.mga6
+ Revision: 1024964
- Rebuild for perl 5.22.2

* Fri Feb 12 2016 umeabot <umeabot> 0.50.0-16.mga6
+ Revision: 957091
- Mageia 6 Mass Rebuild

* Fri Jun 26 2015 tv <tv> 0.50.0-15.mga6
+ Revision: 844794
- rebuild for soname-ifed perl

* Wed Jun 24 2015 tv <tv> 0.50.0-14.mga6
+ Revision: 842507
- rebuild with soname-ified perl

* Sun Oct 19 2014 umeabot <umeabot> 0.50.0-13.mga5
+ Revision: 788841
- Rebuild to potentially add missing dependencies

* Wed Oct 15 2014 umeabot <umeabot> 0.50.0-12.mga5
+ Revision: 742728
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 0.50.0-11.mga5
+ Revision: 684251
- Mageia 5 Mass Rebuild

* Tue Jun 03 2014 jquelin <jquelin> 0.50.0-10.mga5
+ Revision: 632212
- perl 5.20.0 rebuild
+ pterjan <pterjan>
- Rebuild for perl 5.20

* Sat Oct 19 2013 umeabot <umeabot> 0.50.0-8.mga4
+ Revision: 524577
- Mageia 4 Mass Rebuild

* Wed May 29 2013 jquelin <jquelin> 0.50.0-7.mga4
+ Revision: 431183
- perl 5.18.0 rebuild

* Sun Jan 13 2013 umeabot <umeabot> 0.50.0-6.mga3
+ Revision: 365521
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Wed May 30 2012 jquelin <jquelin> 0.50.0-5.mga3
+ Revision: 250485
- rebuild for perl 5.16

* Sat Jun 11 2011 sander85 <sander85> 0.50.0-4.mga2
+ Revision: 104116
- perl 5.14

* Sat Jan 22 2011 jquelin <jquelin> 0.50.0-3.mga1
+ Revision: 31881
- mageia rebuild
- imported package perl-Data-UUID-LibUUID

